Tcl: ns Namespace Reference

Tcl

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
ns Namespace Reference

Documented namespace `ns` . More...

## Classes
class | itcl_class
| Documented itcl class `itcl_class` . More...
class | oo_class
| Documented oo class `oo_class` . More...

## Functions
| ns_proc arg
| Documented proc `ns_proc` .

## Detailed Description

Documented namespace `ns` .

The code is inserted here:

1 namespace eval ns {
2 ## Documented proc \c ns_proc .
3 # param[in] arg some argument
4 proc ns_proc {arg} {}
5 ## Documented var \c ns_var .
6 # Some documentation.
7 variable ns_var
8 ## Documented itcl class \c itcl_class .
9 itcl::class itcl_class {
10 ## Create object.
11 constructor {args} {eval $args}
12 ## Destroy object.
13 destructor {exit}
14 ## Documented itcl method \c itcl_method_x .
15 # param[in] arg Argument
16 private method itcl_method_x {arg}{}
17 ## Documented itcl method \c itcl_method_y .
18 # param[in] arg Argument
19 protected method itcl_method_y {arg} {}
20 ## Documented itcl method \c itcl_method_z .
21 # param[in] arg Argument
22 public method itcl_method_z {arg} {}
23 ## Documented common itcl var \c itcl_Var .
24 common itcl_Var
25 ## \protectedsection
26
27 variable itcl_var1;#< Documented itcl var \c itcl_var1 .
28 variable itcl_var2}
29 ## Documented oo class \c oo_class .
30 oo::class create oo_class {
31 ## Create object.
32 # Configure with args
33 constructor {args} {eval $args}
34 ## Destroy object.
35 # Exit.
36 destructor {exit}
37 ## Documented oo var \c oo_var .
38 # Defined inside class
39 variable oo_var
40 ## \private Documented oo method \c oo_method_x .
41 # param[in] arg Argument
42 method oo_method_x {arg} {}
43 ## \protected Documented oo method \c oo_method_y .
44 # param[in] arg Argument
45 method oo_method_y {arg} {}
46 ## \public Documented oo method \c oo_method_z .
47 # param[in] arg Argument
48 method oo_method_z {arg} {}
49 }
50 }

## Function Documentation

ns::ns_proc | arg

Documented proc `ns_proc` .

param[in] arg some argument

proc ns_proc {arg} {}